--
-- decoder.vhd: Adresovy dekoder
--
-- Author: Lucie Matusova, xmatus21, 3BIT

library IEEE;
    use IEEE.std_logic_1164.all;

-- ----------------------------------------------------------------------------
--                        Entity declaration
-- ----------------------------------------------------------------------------

entity decoder is
port(	
	I  :	in  std_logic_vector(5 downto 0);
	EN :	out std_logic_vector(9 downto 0)
);
end decoder;

-- ----------------------------------------------------------------------------
--                      Architecture declaration
-- ----------------------------------------------------------------------------

architecture struct of decoder is
begin

    EN <=
    		"0000000001" when I = "000000" else
		    "0000000010" when I = "000001" else
		    "0000000100" when I = "000010" else
		    "0000000000";		

end struct;
